rpma_conn_req_delete(3)

NAME
rpma_conn_req_delete - delete the connection requests

SYNOPSIS
      #include <librpma.h>

      struct rpma_conn_req;
      int rpma_conn_req_delete(struct rpma_conn_req **req_ptr);

DESCRIPTION
rpma_conn_req_delete() deletes the connection requests both incoming and outgoing.

RETURN VALUE
The rpma_conn_req_delete() function returns 0 on success or a negative error code on failure. rpma_conn_req_delete() sets *req_ptr value to NULL on success and on failure.

ERRORS
rpma_conn_req_delete() can fail with the following errors:

•   RPMA_E_INVAL - req_ptr is NULL

•   RPMA_E_PROVIDER

    •   rdma_destroy_qp(3) or ibv_destroy_cq(3) failed

    •   rdma_reject(3) or rdma_ack_cm_event(3) failed (passive side only)

    •   rdma_destroy_id(3) failed (active side only)

SEE ALSO
rpma_conn_req_new(3), librpma(7) and https://pmem.io/rpma/